Bug 43312 - sc/qa/unoapi sc.ScDatabaseRangeObj java.lang.ArrayIndexOutOfBoundsException
Summary: sc/qa/unoapi sc.ScDatabaseRangeObj java.lang.ArrayIndexOutOfBoundsException
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: subsequenttest-failures
  Show dependency treegraph
 
Reported: 2011-11-28 10:13 UTC by Stephan Bergmann
Modified: 2011-12-26 22:51 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stephan Bergmann 2011-11-28 10:13:04 UTC
With sc/qa/unoapi enabled in subsequentcheck, it fails at

Creating: sc.ScDatabaseRangeObj
LOG> Log started 28.10.2011 - 18:08:39
LOG> creating a Spreadsheet document
LOG> Creating a test environment
LOG> Getting test object
Setting the ImportDescriptor (Bibliograpy, SQL, select Identifier from biblio) -- LOG> done
Importing data (Bibliograpy, Table, biblio) -- LOG> done
Exception while getting Environment 0
java.lang.ArrayIndexOutOfBoundsException: 0
 at mod._sc.ScDatabaseRangeObj.createTestEnvironment(ScDatabaseRangeObj.java:187)
 at lib.TestCase.getTestEnvironment(TestCase.java:132)
 at base.java_fat.getTestEnvironment(java_fat.java:334)
 at base.java_fat.executeTest(java_fat.java:181)
 at org.openoffice.Runner.run(Runner.java:240)
 at org.openoffice.test.UnoApiTest.test(UnoApiTest.java:45)
 at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
 at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
 at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
 at java.lang.reflect.Method.invoke(Method.java:616)
 at org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:44)
 at org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:15)
 at org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:41)
 at org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:20)
 at org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
 at org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:31)
 at org.junit.runners.BlockJUnit4ClassRunner.runNotIgnored(BlockJUnit4ClassRunner.java:79)
 at org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:71)
 at org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:49)
 at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
 at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
 at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
 at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
 at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
 at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
 at org.junit.runners.Suite.runChild(Suite.java:128)
 at org.junit.runners.Suite.runChild(Suite.java:24)
 at org.junit.runners.ParentRunner$3.run(ParentRunner.java:193)
 at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:52)
 at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:191)
 at org.junit.runners.ParentRunner.access$000(ParentRunner.java:42)
 at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:184)
 at org.junit.runners.ParentRunner.run(ParentRunner.java:236)
 at org.junit.runner.JUnitCore.run(JUnitCore.java:157)
 at org.junit.runner.JUnitCore.run(JUnitCore.java:136)
 at org.junit.runner.JUnitCore.run(JUnitCore.java:117)
 at org.junit.runner.JUnitCore.runMain(JUnitCore.java:98)
 at org.junit.runner.JUnitCore.runMainAndExit(JUnitCore.java:53)
 at org.junit.runner.JUnitCore.main(JUnitCore.java:45)
LOG>     disposing xSheetDoc
***** State for sc.ScDatabaseRangeObj ******
Whole component: Couldn't create ScDatabaseRangeObj
Comment 1 Stephan Bergmann 2011-11-29 07:50:11 UTC
Disabled the failing tests as <http://cgit.freedesktop.org/libreoffice/core/commit/?id=08d79b308401fcd48ed7057699856e3705b8399e>; please revert when fixed.
Comment 2 Markus Mohrhard 2011-12-04 17:21:11 UTC
and another case of strange test code

I think it just worked because the unnamed database range has been returned but since we now separated unnamed and named database ranges we have no default database range any more

I will come up with a fix for the java code in some days
Comment 3 Markus Mohrhard 2011-12-05 16:54:05 UTC
pushed a possible fix to master

I did not test it yet but the idea should be ok
Comment 4 Markus Mohrhard 2011-12-26 22:51:45 UTC
fixed in master

Follow-up bug report for failing tests in ScDatabaseRangeObj is bug 44167